<template>
  <!-- 安检通道综合效率 -->
  <div class="content-app">
    <div class="up">
      <SecurityCheckHeader
        title="安检通道综合效率"
        :withSelect="false"
        :withInput="false"
        :withChangeButton="false"
      />
    </div>
    <div class="comprehensive">
      <div class="header">
        <p>过检效率 - 综合风险等级</p>
        <span>单位：件/小时</span>
      </div>
      <div class="comprehensive_cont">
        <div id="comprehensiveCharts"></div>
      </div>
    </div>
  </div>
</template>
<script>
import { discoloration } from "@/utils/app-ecahrts";
import SecurityCheckHeader from "../components/securityCheckHeader.vue";
export default {
  data() {
    return {};
  },
  components: {
    SecurityCheckHeader,
  },
  mounted() {
    this.init();
  },
  methods: {
    // change() {
    //   this.$router.push("./agentTable");
    // },
    init() {
      let myChart = this.$echarts.init(
        document.getElementById("comprehensiveCharts")
      ); //统计折线
      myChart.setOption(discoloration);
      window.onresize = () => {
        myChart.resize();
      };
    },
  },
};
</script>
<style lang="scss" scoped>
.header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  > p {
    font-size: 18px;
    font-family: Microsoft YaHei;
    font-weight: bold;
    color: #101116;
    margin: 0 0 24px 0;
  }
  > span {
    font-size: 14px;
    font-family: Microsoft YaHei;
    font-weight: 400;
    color: #101116;
  }
}
.comprehensive {
  width: 100%;
  height: 80vh;
  padding: 24px;
  background: #ffffff;
  box-shadow: 0px 3px 10px 0px rgba(0, 0, 0, 0.1);
  border-radius: 4px;
  > .comprehensive_cont {
    width: 100%;
    height: 95%;
    #comprehensiveCharts {
      width: 100%;
      height: 100%;
    }
  }
}
</style>